/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* UTILITY */
.elementor-widget-text-editor p:last-child {
    margin-bottom: 0;
}
.display-block, .display-block a{
	display: block;
}
.hover-icon:hover svg, .hover-icon:hover i{transform: translateX(10px);}
.hover-icon svg, .hover-icon i{transition: 0.3s;}

.hover-img, .hover-img > .elementor-widget-container{overflow: hidden;}
.hover-img img{transition: 0.3s;}
.hover-img:hover img{transform: scale(1.1);}

.ctr-icon .elementor-icon-wrapper{display: flex; justify-content: center; align-items: center;}

/* HEADER */
.primary-header-nav:not(.hamburger) .sub-menu{box-shadow: 0 4px 8px 0 rgba(0,0,0,0.1);}


/*hamburger styling*/
.primary-header-nav.hamburger ul.elementor-nav-menu > li.menu-item > .elementor-item{
	font-family: var( --e-global-typography-1fe1d4b-font-family ) !important;
	font-size: var( --e-global-typography-1fe1d4b-font-size ) !important;
	line-height: var( --e-global-typography-1fe1d4b-line-height ) !important;
	font-weight: var( --e-global-typography-1fe1d4b-font-weight ) !important;
	color: var(--e-global-color-accent) !important;
	background: transparent !important;
}
.primary-header-nav .sub-arrow i{
	color: var(--e-global-color-8aa4eef);
}
/* .primary-header-nav.hamburger ul.elementor-nav-menu > li.menu-item:hover > .elementor-item{
	background: transparent !important;
} */

/* Home and pages Styles */
.right-align-column > .e-con-inner{
	margin-left: auto;
	margin-right: 0;
}


.oo-faqs .elementor-accordion-item:not(:first-child){border-top: 1px solid #D1D5DB !important;}
.oo-faqs .elementor-accordion-icon{font-size: 24px;}
.oo-faqs .elementor-tab-title, .oo-faqs .elementor-tab-content{padding-left: 0;}
.oo-faqs .elementor-accordion-item a{color: #7FDAF1;}

.elementor-icon-box-description strong{font-weight: 600;}
.elementor-icon-box-wrapper{height: 100%}

/* carousel styling */
.logo-carousel img{
	height: 40px;
	width: 180px;
	object-fit: contain;
	object-position: center;
}
.pagination-bar .swiper-pagination, 
.oo-image-carousel .swiper-pagination{border-radius: 20px; overflow: hidden; }
.pagination-bar span.swiper-pagination-bullet,
.oo-image-carousel span.swiper-pagination-bullet{border-radius: 0; width: 40px !important; margin: 0 !important; height: 2px !important;}

.oo-image-carousel{
	--icon-size: 52px;
	--icon-gap: 12px;
}

.oo-image-carousel{padding-bottom: 64px;}
.oo-image-carousel .swiper-pagination{max-width: 100%; width: max-content; display: flex; position: absolute; bottom: var(--icon-size) !important; left: calc((var(--icon-size) * 2) + (var(--icon-gap) * 2));}
.oo-image-carousel span.swiper-pagination-bullet:first-child{border-top-left-radius: 20px;border-bottom-left-radius: 20px;}
.oo-image-carousel span.swiper-pagination-bullet:last-child{border-top-right-radius: 20px;border-bottom-right-radius: 20px;}
.oo-image-carousel .swiper-pagination-bullet{background: #E5E7EB; opacity: 1;}
.oo-image-carousel .swiper-pagination-bullet.swiper-pagination-bullet-active{background: #2AC2E7;}

.oo-image-carousel .elementor-swiper-button{top: unset !important; bottom: 0 !important;}
.oo-image-carousel .elementor-swiper-button-prev{left: 0 !important;}
.oo-image-carousel .elementor-swiper-button-next{left: calc(var(--icon-size) + var(--icon-gap)) !important;}
.oo-image-carousel .elementor-swiper-button svg{
	width: var(--icon-size) !important;
	height: var(--icon-size) !important;
	fill: transparent !important;
	transition: 0.2s;
}
.oo-image-carousel .elementor-swiper-button:hover svg{
	fill: #D1D5DB !important;
}

.oo-image-carousel .swiper-slide img {
    object-fit: cover;
    height: 320px;
    width: 100%;
    object-position: center;
	border-radius: 16px;
}

.oo-taxonomy .elementor-heading-title{display: flex; column-gap: 12px;}
.oo-taxonomy .elementor-heading-title span,
.oo-taxonomy .elementor-heading-title a{font-size: 14px; color: var(--e-global-color-accent); background: #EEFCFF; line-height: 1; padding: 4px 8px; border-radius: 20px; max-width: fit-content !important;}

/* custom grid pagination */
.oo-custom-pagination{
	--arrow-prev: url('/wp-content/uploads/2025/09/arrow-left-grey.svg');
	--arrow-next: url('/wp-content/uploads/2025/09/arrow-right-grey.svg');
	--arrow-size: 52px;
}
.oo-custom-pagination .page-numbers.next{
	width: var(--arrow-size) !important;
	height: var(--arrow-size) !important;
	background: var(--arrow-next) center/contain no-repeat !important;
	display: inline-block !important;
}
.oo-custom-pagination .page-numbers.prev{
	width: var(--arrow-size) !important;
	height: var(--arrow-size) !important;
	background: var(--arrow-prev) center/contain no-repeat !important;
	display: inline-block !important;
}
.oo-custom-pagination .elementor-pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 12px;
	margin-top: 64px;
}
.oo-custom-pagination .page-numbers{
	color: var(--e-global-color-ebee3cf);
}
.oo-custom-pagination .page-numbers.current{
/* 	color: #fff; */
	color: var(--e-global-color-accent);
	font-weight: 700;
/* 	padding: 4px; */
}
.oo-post-navigation .elementor-post-navigation{
	display: flex;
	justify-content: space-between;
}
.oo-post-navigation .elementor-post-navigation__link{
	white-space: unset;
    width: calc(30% - 10px);
}
.oo-post-navigation .elementor-post-navigation__link > a{
	display: flex;
	align-items: flex-start;
	flex-direction:column;

}
.oo-post-navigation .elementor-post-navigation__link > a span{
	transition: 0.3s;	
}
.oo-post-navigation .elementor-post-navigation__link:hover > a span{
	color: var(--e-global-color-accent) !important;
}
.oo-post-navigation .elementor-post-navigation__next.elementor-post-navigation__link > a{
	align-items: flex-end;
	flex-direction: column-reverse;
}
.oo-post-navigation .elementor-post-navigation__separator-wrapper{
	display: none;
}
.oo-post-navigation .elementor-post-navigation__link__prev,
.oo-post-navigation .elementor-post-navigation__link__next{
	row-gap: 12px;
	line-height: var(--e-global-typography-00e6a0f-line-height);
}
/* Custom filter styling */
#oo-filter-toggle{cursor: pointer;}
#oo-filter-toggle svg{transition: 0.3s;}
#oo-filter-toggle[aria-expanded=false] svg{transform: rotate(-90deg);}
#oo-filter-content button.e-filter-item {
    border-radius: 20px;
    border: 1px solid var(--e-global-color-8aa4eef);
	color: var(--e-global-color-accent);
	padding: 4px 8px;
	transition: 0.3s;
}
#oo-filter-content button.e-filter-item[aria-pressed=true],
#oo-filter-content button.e-filter-item:hover{
	color: #fff;
	background: var(--e-global-color-accent);
	border: 1px solid var(--e-global-color-accent);
}

/* WYSISYG Styling */
.wys{
    --wys-section-space: 48px;
    
    --wys-h2-font-family: var(--e-global-typography-adced31-font-family);
    --wys-h2-font-size: var(--e-global-typography-adced31-font-size);
    --wys-h2-font-weight: 700;
    --wys-h2-line-height: var(--e-global-typography-adced31-line-height);

    --wys-h3-font-family: var(--e-global-typography-00e6a0f-font-family);
    --wys-h3-font-size: var(--e-global-typography-00e6a0f-font-size);
    --wys-h3-font-weight: 700;
    --wys-h3-line-height: var(--e-global-typography-00e6a0f-line-height);

    --wys-h4-font-family: var(--e-global-typography-7b5433a-font-family);
    --wys-h4-font-size: var(--e-global-typography-7b5433a-font-size);
    --wys-h4-font-weight: 700;
    --wys-h4-line-height: var(--e-global-typography-7b5433a-line-height);

    --wys-heading-colour: var(--e-global-color-primary);

    --wys-link-colour: var(--e-global-color-accent);
    --wys-link-hover-colour: var(--e-global-color-text);
}
@media screen and (max-width: 1366px){
	.wys{--wys-section-space: 48px;}
}
@media screen and (max-width: 600px){
	.wys{--wys-section-space: 32px;}
}

.wys p:has(+ h2), 
.wys p:has(+ h3), 
.wys p:has(+ h4), 
.wys p:has(+ h5), 
.wys p:has(+ h6),
.wys p:has(+ img),
.wys p:has(+ figure),
.wys blockquote:has(+ h2), 
.wys blockquote:has(+ h3), 
.wys blockquote:has(+ h4), 
.wys blockquote:has(+ h5), 
.wys blockquote:has(+ h6),
.wys blockquote:has(+ img),
.wys blockquote:has(+ figure),
.wys ul:has(+ h2), 
.wys ul:has(+ h3), 
.wys ul:has(+ h4), 
.wys ul:has(+ h5), 
.wys ul:has(+ h6),
.wys ul:has(+ img),
.wys ul:has(+ figure),
.wys ol:has(+ h2), 
.wys ol:has(+ h3), 
.wys ol:has(+ h4), 
.wys ol:has(+ h5), 
.wys ol:has(+ h6),
.wys ol:has(+ img),
.wys ol:has(+ figure){
	margin-bottom: var(--wys-section-space);
}
.wys h2 + h2{margin-top: var(--wys-section-space);}


.wys hr{margin-bottom: var(--wys-section-space); margin-top: var(--wys-section-space);}
.wys h2,
.wys h3,
.wys h4,
.wys h5,
.wys h6{
	margin-bottom: 12px;
}

.wys h2{
    font-family: var(--wys-h2-font-family), Sans-serif;
    font-size: var(--wys-h2-font-size);
    font-weight: var(--wys-h2-font-weight);
    line-height: var(--wys-h2-line-height);
	color: var(--wys-heading-colour);
}
.wys h3{
    font-family: var(--wys-h3-font-family), Sans-serif;
    font-size: var(--wys-h3-font-size);
    font-weight: var(--wys-h3-font-weight);
    line-height: var(--wys-h3-line-height);
	color: var(--wys-heading-colour);
}
.wys h4, .wys h5, .wys h6{
    font-family: var(--wys-h4-font-family), Sans-serif;
    font-size: var(--wys-h4-font-size);
    font-weight: var(--wys-h4-font-weight);
    line-height: var(--wys-h4-line-height);
	color: var(--wys-heading-colour);
}
.wys blockquote {position: relative;margin-left: 0;margin-right: 0;padding-left: calc(var(--wys-section-space) / 2);}
.wys blockquote::before {content: "";position: absolute;left: 0;height: 100%;width: 4px;background: var(--e-global-color-accent);}
.wys figcaption{color: var(--e-global-color-text); margin-top: 8px;}
.wys ul, .wys ol{margin-block-end: 0.9rem;}
.wys a {
    color: var(--wys-link-colour);
    font-weight: 600;
}
.wys a:hover {
    color: var(--wys-link-hover-colour);
}
.wys img{
	border-radius: 12px;
}


/* WP FORMS */

.oo-contact-form input:not([type="submit"]),
.oo-contact-form textarea,
.oo-contact-form select{
	padding-left: 0 !important;
	padding-right: 0 !important;
	border-left: unset !important;
	border-right: unset !important;
	border-top: none !important;
	border-radius: 0 !important;
}
.wpforms-field-label{
	font-weight: 400 !important;
}
input::placeholder,
.oo-contact-form .choices__inner .choices__placeholder,
textarea::placeholder{
	opacity: 1 !important;
	color: #7890B7 !important;
}
.oo-contact-form .choices__inner{
	border-radius: 0 !important;
	border-top: none !important;
		border-left: none !important; 
		border-right: none !important;
}


/* Footer */
.footer-service-menu ul{column-count: 2;}

.footer-iconbox .elementor-icon-box-description a{
	color: #fff !important;
	transition: 0.3s;
}
.footer-iconbox .elementor-icon-box-description a:hover{
	color: var( --e-global-color-6e428de ) !important;
}

/* custom buttons */
.oo-button{
    --circle-size: 44px;
    --icon-size: 20px;
	--padding: 16px;

    --text-colour: #000;
    --icon-colour:#fff;
    --icon-bg-colour: #1E4687;
    --button-bg-colour: #fff;
    --border-colour: transparent;
    --text-colour-hover: #fff;
    --icon-bg-colour-hover: #1E4687;
}
.oo-button.grey{
	--button-bg-colour: var( --e-global-color-31b5b92 );
}

.oo-button{
      position: relative;
      min-height: var(--circle-size);
      display: flex;
      align-items: center;
/*       padding: 2px; */
      border: 1px solid var(--border-colour);
      border-radius: 48px;
      box-sizing: content-box;
      background: var(--button-bg-colour) !important;
      max-width: fit-content !important;
}
.oo-button .elementor-button-wrapper{
    /* border: 1px solid var(--border-colour);
    padding: 2px; */
    min-height: var(--circle-size);
    display: flex;
    align-items: center;
    min-width: 100%;
    border-radius: 48px;
    
    

}
.oo-button .elementor-button-content-wrapper{
    display: flex;
    align-items: center;
    column-gap: var(--padding);
    
}
.oo-button .elementor-button-icon{
    transition: width 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    width: var(--circle-size);
    height: var(--circle-size);
    display: flex;
    background:var(--icon-bg-colour);
    border-radius: 48px;
    position: absolute;
/*     left: 2px; */
	left: 0;
}
.oo-button .elementor-button-icon svg{
    transition: left 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: absolute;
    width: var(--icon-size);
    height: var(--icon-size);
    top: calc((var(--circle-size) / 2) - (var(--icon-size) / 2));
    left: calc((var(--circle-size) / 2) - (var(--icon-size) / 2));
    right: auto;
    will-change: left;
}
.oo-button .elementor-button-icon svg *:not(.arrow-tail){
    stroke: transparent;
    fill: var(--icon-colour);
}
.oo-button .elementor-button-icon svg .arrow-tail{
  transition: fill 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  stroke: transparent;
  fill: transparent;
}
.oo-button  .elementor-button-text{
    transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
    position: relative;
    z-index: 1;

    color: var(--text-colour); 
}
.oo-button:hover .elementor-button-text{
    color: var(--text-colour-hover);
}

.oo-button:hover .elementor-button-icon{
/*     width: calc(100% - 4px); */
	    width:100%;
    background: var(--icon-bg-colour-hover);
}
.oo-button:hover .elementor-button-icon svg{
    left: calc(100% - (var(--circle-size) / 2) - (var(--icon-size) / 2));
}
.oo-button:hover .elementor-button-icon svg .arrow-tail{
  fill: var(--icon-colour);;
}

.oo-button .elementor-button-link{
  background: transparent !important;
  border: none !important;
  padding-left: calc(var(--circle-size) + var(--padding));
  padding-right: var(--padding);
  padding-top: 0;
  padding-bottom: 0;
}
.oo-button:hover .elementor-button-link{
    padding-left: var(--padding);
    padding-right:calc(var(--circle-size) + var(--padding));
}

/* templated case study sections */
.oo-points{
	display: grid;
	grid-template-columns: 1fr;
}
.oo-points .item{
	padding: 16px 0px 16px 0px;
    border-style: solid;
    border-width: 1px 0px 0px 0px;
	position: relative;
	padding-left: 48px;

}
.oo-points .item:first-child{
	border-width: 0px;
}

.oo-points.problem .item{
    border-color: var(--e-global-color-a6b81ac);
	color: #fff;
}
.oo-points.solution .item{
    border-color: var( --e-global-color-06913cc );
}
.oo-points .item::before{
	content:"";
	position: absolute;
	top: 16px;
	left: 0;
	width: 24px;
	height: 24px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: left center;
}
.oo-points.problem .item::before{
	background-image: url("/wp-content/uploads/2025/09/emergency_home.svg");
}
.oo-points.solution .item::before{
	background-image: url("/wp-content/uploads/2025/09/check_circle-1.svg");
}



@media screen and (max-width: 1200px){
	.primary-header-nav:not(.hamburger) a.elementor-item{
		padding-left: 15px;
		padding-right: 15px;
	}
}

@media screen and (max-width: 1024px){
	.primary-header-nav.hamburger ul.elementor-nav-menu{
		padding: 32px 0;
	}
}
@media screen and (max-width: 768px){
	.footer-service-menu ul{column-count: 1;}
		.primary-header-nav.hamburger ul.elementor-nav-menu{
		padding: 24px 0;
	}
	
	.primary-header-nav.hamburger ul.elementor-nav-menu > li.menu-item.header-contact > .elementor-item {
		font-size: var(--e-global-typography-text-font-size) !important;
		font-family: var(--e-global-typography-text-font-family) !important;
		background: var(--e-global-color-accent) !important;
		color: #fff !important;
		margin-left: 16px;
		margin-right: 16px;
		text-align: center;
		justify-content: center;
/* 		margin-bottom: 24px; */
		margin-top: 20px;
		border-radius: 80px;
		font-weight: 400 !important;
	}
	.oo-image-carousel .swiper-pagination{ bottom: 0 !important; left: 0;}
	.oo-post-navigation .elementor-post-navigation__link{
    width: calc(50% - 20px);
	}

}